<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>HTML Forms</title>
</head>
<body>
	<h2 align="center">Welcome to the Forms Page</h2>
	<!-- 
		Semantic Tags

		Semantic Tags are new addictions to HTML. Semantic Tags are also containers for element but unlike divs they are definitive of its content wothout relying to semantic id. However, em, strong, they are also semantic tags as they are used over <i></i><b></b>

		Semantic Containers such as nav,main,section are more preferred by developers now because it aids in btter search Engine Optimization, as well developers themselves because each tag now clearly defines what is the content to be added.


	 -->
	 <!-- nav is a semantic container which contains navigation links. -->
	<nav>
		<a href="./index.html">Go to Index.html</a></li>
		<a href="./table.html">Go to Table.html</a></li>
		<a href="../activity/contact.html">Go to Contact.html</a>		

	</nav>
	<!-- main is a semantic container used to show the main content of a page -->

	<main>
		<!-- section are used to show parts of a page -->
		<section>
			<h2>HTML Forms</h2>
			<p>HTML Forms are used to gather information or data from our user and send that information to a server.
			</p>
		</section>
		<section>
			<!-- 
				form tag allows us to create a form. We can then gather data an user input in our form and submit it to a server.

				action attribute in a form will allow us to pass/sumbit the date to the server of the url that is given.

				label tag till allow us to create an element that serves as a label or indicator to the input. 

				add a "for" attribute to the label will allow us to associate the label element to a particular input element. for attribute input elements is passed the id of the particular input element to associate it.

				input tag creates an input element to add user input. input tag can have many types to allow the addition of diffirent kinds of data or information like tex, numbers or dates.

				type attribute in input elements allows us to identify what kind information is to be provided to the input. It also affects the behavior of the elementsto be appropriate to the type of data we want to gather. 

				name attribute allows us to provide a name/ an identifier for the VALUUE of the input element. It allow us to properly identify the value of an input in our form.

				id attribute not only provides a unique identifier for the element, it is also used by the label to associate with.

				required attribute allows us to check if the input has been filled and if not the form cannot be submitted.

				autcomplete attribute provides suggestions for inputs and allows for better user experince

				input type date change the behavior of an input element and only allows the input of dates.

				buttons are used to interact with our pages we can either have the button trigger an action, reset a form or sumbit the form.

				type attribute to a button to indicate the action it will do. buttons in a form can submit the form, This is why we add a type attribute to differentiate the actions buttons can do in a form.

				input type number change the behavior of an input element we can input of numbers

				min attribute to input type number sets the minimum number we can input.

				max attribute to input type number sets the maximum number we can input.
				
				select tags allows us to create a dropdown menu with choices.

				option tag allows us to create the option/choices availble for our select tag.

				value attribute to provide the value or data per option. This is done because options cannot be typed into and receive input.

				input type radio allows us to create a radio button and provide users a single choice of information to pass

				input type checkbox checkbox will create a checkbox for multiple selections among multiple choices.

			 -->
			<form action="https://www.google.com/">
				<!-- full name -->
				<label for="fname">Full Name:</label>
				<br><!-- br will break the line -->
				<input type="text" name="fullname" id="fname" required autocomplete>
				<br>
				<!-- birthdate -->
				<label for="bdate">Birthdate:</label>
				<br>
				<input type="date" name="birthday" id="bdate" required>
				<br>
				<!-- age -->
				<label for="ageInput">Age:</label>
				<br>
				<input type="number" name="age" id="ageInput" min="18" max="40">
				<br>
				<!-- gender -->
				<label for="genderInput">Gender</label>
				<br>
				<select name="gender" id="genderInput" required>
					<option value="male">Male</option>
					<option value="female">Female</option>
					<option value="other">Other</option>
				</select>
				<br>
				<!-- radio -->
				<label>New User?</label>
				<br>
				<input type="radio" name="new-user" id="radioUser1" value="
				yes">
				<label for="radioUser1">Yes</label>
				<br>
				<input type="radio" name="new-user" id="radioUser2" value="
				no">
				<label for="radioUser2">No</label>
				<br>
				<!-- checkbox -->
				<label>Role</label>
				<br>
				<input type="checkbox" name="role1" id="radioUser1" value="developer">
				<label for="roleInput1">Developer</label>
				<br>
				<input type="checkbox" name="role2" id="radioUser1" value="student">
				<label for="roleInput2">Student</label>
				<br>
				<input type="checkbox" name="role3" id="radioUser1" value="manager">
				<label for="roleInput3">Manager</label>
				<br>
				<button type="sumbit">Submit</button>
				<button type="reset">Reset</button>
			</form>
		</section>
</main>

</body>
</html>